
<div class="col-md-8 mr-auto ml-auto">
  <div *ngIf="isRegistered" class="card page-carousel" id="carousel">
    <form [formGroup]="form" autocomplete="off">
      <div class="card-header fluid-container">
        <div class="row">
          <div class="col-sm-2">
<!--TO CHANGE TEAMS FOR DEVELOPMENT PURPOSES-->
          <div *ngIf="masterView">
            <button class="btn btn-round btn-outline-info" (click)="redirectMaster()">
              <i>Back to Master-View</i>
            </button>

            <div class="dropdown d-inline">
              <button class="btn btn-link down-toggle" data-toggle="dropdown" data-target="dropdown-teams">
                <i class="fa fa-plus fa-2x"></i>
              </button>
              <ul class="dropdown-menu list-group" id="dropdown-teams">
                <li class="list-group-item list-group-item-action" *ngFor="let qteam of quiz.teams"  (click)="loadTeam(qteam.id)">
                {{qteam.name}}
                </li>
              </ul>
            </div>

          </div>
            
<!--END-->
          </div>
          <div class="col-sm-8"></div>
          <div class="col-sm-2" *ngIf="isReady == 1">
            <button class="btn btn-round btn-outline-danger" (click)="logout(team)" >Logout</button>
          </div>
        </div>

        <div class="row" *ngIf="isReady == 1">
          <h6 class="col-sm-12">Team {{team.name}}</h6>
          <div class="col-sm-12 justify-content-center" > Willkommen zum Quiz!</div>
          <div class="col-sm-12" *ngIf="newestQuestion"> Runde "{{round.title}}"</div>
        </div>
        
            
      </div>

      <div class="card-body" >
        <div class="card-body" *ngIf="isReady <= 0">
          <ngb-alert class="alert alert-warning">
            <div class="container">Loading..</div>
          </ngb-alert>
        </div>
        <div id="carousel-content" *ngIf= "isReady ==1">
          <div *ngIf="activeQuestions.length" id="carouselIndicators" class="carousel slide" data-ride="carousel" [attr.data-interval]="false">
            <ol class="carousel-indicators">
              <li data-target="#carouselIndicators" *ngFor="let question of activeQuestions; index as i" 
                  [attr.data-slide-to]="i" [class.active]="newestQuestion == question"
                  [class.emptyfield]="!form.get('guess-'+ question.id).value"
                  ></li>
            </ol>
            <div class="carousel-inner" >
              <div class="carousel-item" [attr.id]="'question-'+ question.id" *ngFor="let question of activeQuestions; index as i" [class.active]="newestQuestion == question">
                <div class="fluid-container">
                  <div class="row">
                    <div class="col-md"></div> 
                    <div class="col-md-10"> 
                      <p class="question-content">Frage Nr {{i+1}}</p> 
                      <p class="question-content">{{question.content}}</p> 
                    </div>
                    <div class="col-md"></div>
                    <div class="row input-group form-group">
                      <div class="col-md"></div>
                      <input class="col-md-8 form-control" [formControlName]="'guess-' + question.id" [attr.id]="'guess-' + question.id" type="text"
                         placeholder="Answer" (input)="isSaved(question)" >
                         <div class="input-group-append">
                           <span class="input-group-text" id="check-value"  [class.emptyfield]="!form.get('guess-'+ question.id).value" *ngIf="isSaved(question)">SAVED<i class="fa fa-circle"></i></span>
                           <span class="input-group-text" id="check-value"  [class.emptyfield]="!form.get('guess-'+ question.id).value" *ngIf="!isSaved(question)">UNSAVED<i class="fa fa-circle"></i></span>
                         </div>
                      <div class="col-md"></div>
                    </div>
                  </div>
                    
                  
                </div>
                
              </div>
              <a class="carousel-control-prev" href="#carouselIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
            
          </div>
          <div class="carousel-item active" *ngIf="!activeQuestions.length">
            <div> Welcome to the Quiz. Everything is running fine, but no Questions are currently active</div>
          </div>
          <div class="card-body">
            <button *ngIf="activeQuestions.length" class="btn btn-round btn-outline-info" type="submit" (click)="submitForm()"><i class="fa fa-arrow-right"></i></button>
          </div>

        </div>
        
      </div>
    </form>
  </div>
</div>
  
  
  
  
  
